abstractOut Class Referenceabstract

`#include <abstractout.h>`

Inheritance diagram for abstractOut:

## Public Member Functions

| abstractOut (Item *_item)
virtual int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true)=0
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
virtual int | getChanType ()
virtual int | getDefaultStorageType ()
int | Setup () override
| Remove?? Now getChanType used instead. More...
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Poll (short cause)=0
virtual int | Anounce ()
virtual int | Stop ()
virtual int | Status ()

## Protected Attributes

Item * | item

## Additional Inherited Members

Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Constructor & Destructor Documentation

## abstractOut()

abstractOut::abstractOut | ( | Item * | _item | ) |

inline

## Member Function Documentation

## Ctrl()

virtual int abstractOut::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

pure virtual

Implemented in out_relay, out_pid, out_Multivent, out_Motor, out_Modbus, out_AC, and colorChannel.

## getChanType()

virtual int abstractOut::getChanType | ( |  | ) |

inlinevirtual

Reimplemented in out_SPILed, out_relay, out_pwm, out_pid, out_Multivent, out_Motor, out_Modbus, and out_dmx.

## getDefaultOnVal()

virtual itemCmd abstractOut::getDefaultOnVal | ( |  | ) |

inlinevirtual

## getDefaultStorageType()

virtual int abstractOut::getDefaultStorageType | ( |  | ) |

inlinevirtual

Reimplemented in colorChannel, out_pid, out_Multivent, out_Motor, out_Modbus, and out_AC.

## isActive()

int abstractOut::isActive | ( |  | ) |

virtual

Reimplemented in out_pid, and out_AC.

## Setup()

int abstractOut::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Implements abstractCh.

Reimplemented in out_SPILed, out_relay, out_pwm, out_pid, out_Multivent, out_Motor, out_Modbus, out_dmx, and out_AC.

## Member Data Documentation

## item

Item* abstractOut::item

protected

The documentation for this class was generated from the following files:

- abstractout.h
- abstractout.cpp